﻿
namespace HeuristicLab.Algorithms.MOCMAEvolutionStrategy {
  internal class MOCMAESParameters {
    public readonly double StepSizeLearningRate; //=cp learning rate in [0,1]
    public readonly double StepSizeDampeningFactor; //d
    public readonly double TargetSuccessProbability;// p^target_succ
    public readonly double EvolutionPathLearningRate;//cc
    public readonly double CovarianceMatrixLearningRate;//ccov
    public readonly double CovarianceMatrixUnlearningRate;   //from shark
    public readonly double SuccessThreshold; //ptresh

    public MOCMAESParameters(double stepSizeLearningRate, double stepSizeDampeningFactor, double targetSuccessProbability, double evolutionPathLearningRate, double covarianceMatrixLearningRate, double covarianceMatrixUnlearningRate, double successThreshold) {
      StepSizeLearningRate = stepSizeLearningRate;
      StepSizeDampeningFactor = stepSizeDampeningFactor;
      TargetSuccessProbability = targetSuccessProbability;
      EvolutionPathLearningRate = evolutionPathLearningRate;
      CovarianceMatrixLearningRate = covarianceMatrixLearningRate;
      CovarianceMatrixUnlearningRate = covarianceMatrixUnlearningRate;
      SuccessThreshold = successThreshold;
    }
  }
}
